"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.verifyingToken = void 0;

var _jwtDecode = _interopRequireDefault(require("jwt-decode"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const verifyingToken = (token, username) => {
  const decodedToken = (0, _jwtDecode.default)(token);
  return decodedToken.preferred_username === username;
};

exports.verifyingToken = verifyingToken;